# $Revision: 1.5.2.1 $, $Date: 2005/10/17 08:56:58 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Geography
%define	pnam	Countries
Summary:	Geography::Countries - 2-letter, 3-letter, and numerical codes for countries
Summary(pl):	Geography::Countries - 2-, 3-literowe i numeryczne kody krajw
Name:		perl-Geography-Countries
Version:	1.4
Release:	2
License:	Unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	693426ab59ce3d51fcd48dfe3b402107
BuildRequires:	perl-devel >= 1:5.6.1
BuildRequires:	rpm-perlprov >= 4.0.2-112.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module maps country names, and their 2-letter, 3-letter and
numerical codes, as defined by the ISO-3166 maintenance agency,
and defined by the UNSD.

%description -l pl
Ten modu odwzorowuje nazwy krajw oraz ich 2-, 3-literowe i liczbowe
kody zgodnie z definicj ISO-3166.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=site
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{perl_sitelib}/Geography
%{perl_sitelib}/Geography/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Geography-Countries.spec,v $
Revision 1.5.2.1  2005/10/17 08:56:58  hawk
- adjusted for Ra
- release 2

Revision 1.5  2005/09/22 20:12:53  arekm
- rel 1

Revision 1.4  2005/03/15 20:51:17  qboosh
- added Geography dir (not used by any other package now)

Revision 1.3  2005/03/15 20:46:01  qboosh
- removed API docs from desc, added pl desc

Revision 1.2  2005/03/13 19:59:14  zbyniu
- md5 mismatch

Revision 1.1  2005/03/13 19:05:23  zbyniu
- initial
